<?php

class Periodo extends Conexion {

    public function Periodo_por_ID($periodoId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                SELECT * FROM periodo 
                WHERE periodbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $periodoId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }
    
    public function Eliminar_por_ID($periodoId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                DELETE FROM periodo WHERE periodbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $periodoId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }    

    public function Consultar($fil) {
        $conectar = parent::conectar();
        parent::set_names();
        switch ($fil) {
            case "all":
                $sql = "SELECT * FROM periodo";
                break;
            case "H":
                $sql = "";
                break;
            case "M":
                $sql = "";
                break;
            case "D":
                $sql = "";
                break;
        }
        $sql = $conectar->prepare($sql);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarPeriodo($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["periodbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (codper,descrip,fecini,mtrini,mtrfin,planificacion,estado)
                VALUES (?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["codper"]);
            $sql->bindValue(2, $datos["descrip"]);
            $sql->bindValue(3, $datos["fecini"]);
            $sql->bindValue(4, $datos["mtrini"]);
            $sql->bindValue(5, $datos["mtrfin"]);
            $sql->bindValue(6, $datos["planificacion"]);
            $sql->bindValue(7, "ACTIVO");
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                codper = ?, descrip = ?, fecini = ?, mtrini = ?, mtrfin = ?, planificacion = ?  
                WHERE periodbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["codper"]);
            $sql->bindValue(2, $datos["descrip"]);
            $sql->bindValue(3, $datos["fecini"]);
            $sql->bindValue(4, $datos["mtrini"]);
            $sql->bindValue(5, $datos["mtrfin"]);
            $sql->bindValue(6, $datos["planificacion"]);
            $sql->bindValue(7, $datos["periodbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarEstado($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "UPDATE " . $datos["tabla"] . "  
                SET estado = ?
                WHERE periodbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $datos["estado"]);
        $sql->bindValue(2, $datos["periodbk"]);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }
    public function ConsultarFiltro($carreradbk) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT periodbk,descrip FROM mallacurricular
                INNER JOIN periodo ON periodo = periodbk                     
                WHERE carrera = ?
                GROUP BY periodbk";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $carreradbk);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }    
}
?>